# If the emacs-el package has installed a pkgconfig file, use that to determine
# install locations and Emacs version at build time, otherwise set defaults.
%if %($(pkg-config emacs) ; echo $?)
%define emacs_version  21.0
%define emacs_lispdir  %{_datadir}/emacs/site-lisp
%define emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%define emacs_version  %{expand:%(pkg-config emacs --modversion)}
%define emacs_lispdir  %{expand:%(pkg-config emacs --variable sitepkglispdir)}
%define emacs_startdir %{expand:%(pkg-config emacs --variable sitestartdir)}
%endif

%define realname verilog-mode

Name:           emacs-%{realname}
Version:        531
Release:        2%{?dist}
Summary:        Verilog mode for Emacs

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://www.veripool.org/wiki/verilog-mode/
Source0:        http://www.veripool.org/ftp/%{realname}-%{version}.el.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  emacs-el
BuildRequires:  emacs
Requires:       emacs >= %{emacs_version}
BuildArch:      noarch

%description
Verilog-mode.el is a free Verilog mode for Emacs
which provides context-sensitive highlighting,
auto indenting, and provides macro expansion
capabilities to greatly reduce Verilog coding time.

%prep
#setup -q
# /bin/tar: This does not look like a tar archive
rm -rf   %{_builddir}/%{name}-%{version}
mkdir -p %{_builddir}/%{name}-%{version}
cd       %{_builddir}/%{name}-%{version}
gunzip < %{SOURCE0} > %{realname}.el


%build

cd %{name}-%{version}
cat > %{realname}.el.site-start << EOF
;; Load verilog mode only when needed
(autoload 'verilog-mode "verilog-mode" "Verilog mode" t )
;; Any files that end in .v should be in verilog mode
(setq auto-mode-alist (cons '("\\.v\\'" . verilog-mode) auto-mode-alist))
;; Any files in verilog mode should have their keywords colorized
(add-hook 'verilog-mode-hook '(lambda () (font-lock-mode 1)))
EOF

%install
rm -rf %{buildroot}

cd %{name}-%{version}

%{__install} -d %{buildroot}%{emacs_lispdir}
%{__install} -d %{buildroot}%{emacs_startdir}

emacs -batch -f batch-byte-compile %{realname}.el
%{__install} -pm 0644 %{realname}.el %{realname}.elc %{buildroot}%{emacs_lispdir}/
%{__install} -pm 0644 %{realname}.el.site-start %{buildroot}%{emacs_startdir}/%{realname}-init.el


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{emacs_lispdir}/%{realname}.el
%{emacs_lispdir}/%{realname}.elc
%{emacs_startdir}/%{realname}-init.el


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 07 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 531-1
- update to 531
- fixed broken dependency for EL-5

* Thu Jul 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 528-1
- update to 528

* Thu May 14 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 502-1
- update to 502

* Sun Jan 04 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 463-1
- initial package
